Package Search
 
Members: 351 | Topics: 766 | Posts: 3210
We welcome our newest member: Somewhat Reticent
Info
» You aren't logged in, login or registerOnline: No members and 1 guest | Time: 11:27
FGLRX 8.11 spec is not correct
paldo Support Forum    paldo    Hardware Compatibility
Reply Reply   Subscribe Topic Subscribe Topic
11 posts found.Page: 1 2
 FGLRX 8.11 spec is not correct
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
It seems the spec is not right because even though upkg builds everything of the package the kernel module is beeing installed or compiled incorrectly resulting in a system with no X because the module fglrx doesn't start...

As a basis to see where is wrong... the archlinux testing repo has the catalyst 8.11 package built correctly... and its PKGBUILD is : http://repos.archlinux.org/viewvc.cgi/catalyst/repos/testing-x86_64/PKGBUILD?revision=19156&view=markup
 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2008-11-23 16:02
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Code[In neuem Fenster öffnen]
install -m644 fglrx.ko "${pkgdir}/lib/modules/${_kernver}/video/" || return 1


seems to be the bug in my eyes:

Code[In neuem Fenster öffnen]
install -v -m 0644 fglrx.ko /lib/modules/$TAG/kernel/drivers/gpu/drm/


What happens if you copy the fglrx.ko file to /lib/modules/2.6.27.6-paldo1-x86/kernel/drivers/video?
Profile   Private Message   E-Mail
Created: 2008-11-23 16:35
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Jürg is checking the installer-script of the package and will fix this issue soon...
Profile   Private Message   E-Mail
Created: 2008-11-23 17:42
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
well the misplacement of the .ko file... is not the problem since I still get the same errors and get a blank screen and unusable system..
 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2008-11-23 18:31
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
hmm. shure we will find a solution for this. Maybe it is the x-server and the driver don't support 1.5.3 at all.
Profile   Private Message   E-Mail
Created: 2008-11-23 20:44
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
well, arch uses xorg server 1.5.3 so it should work with it... don't think this is the problem

Well anyway... the fglrx update on the repo from yestgerday (23/11) still hasn't made it work same problem blank screen with unusable system
 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2008-11-24 13:03 | Modified: 2008-11-24 13:56 by diogo
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
seems only fglrx got changed. I can't test it on my systems, cos I've only nvidia cards. Maybe somebody else can test the driver also. Do this: uninstall fglrx with
Code[In neuem Fenster öffnen]
sudo upkg-remove --force fglrx

and install the original driver of amd.
ati-driver-installer-8-11-x86.x86_64.run

Code[In neuem Fenster öffnen]
chmod a+x ati*run
./ati*run


Tell me if that driver works with paldo and your card.
Profile   Private Message   E-Mail
Created: 2008-11-25 01:26
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
Well downloaded and try to launch the installer but it just didn't launch and did nothing..

No errors, no install, no anything... trying to see if the installer is broken because of the download...


 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2008-11-26 15:01
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
well usually it should launch the installer but it doesn't

here is the output of the newly downloaded file

Code[In neuem Fenster öffnen]
[diogo@paldo-x64:~/Downloads]$ sudo sh ati-driver-installer-8-11-x86.x86_64.run  
Created directory fglrx-install.StSNc5
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.552.................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Detected configuration:
Architecture: x86_64 (64-bit)
X Server: X.Org 7.4 64-bit
Removing temporary directory: fglrx-install.StSNc5
[diogo@paldo-x64:~/Downloads]$


Just nothing...
 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2008-11-26 15:06 | Modified: 2008-11-26 15:06 by diogo
Highlight selected Text   Edit   Delete   Quote Reply
 Re: FGLRX 8.11 spec is not correct
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
The driver only support X 7.3 I think.
Profile   Private Message   E-Mail
Created: 2008-11-26 16:52
Highlight selected Text   Edit   Delete   Quote Reply
This topic contains further posts. Next
Page: 1 2
Subscribe Topic Subscribe Topic
powered by bitron board 1.23a